using System;

namespace Aritmetica
{
	/// <summary>
	/// implementao do servio de aritmetica
	/// </summary>
	internal class AritmeticaImpl : IAritmetica , IAritmetica2
	{
		public AritmeticaImpl()
		{
			// 
			// TODO: Add constructor logic here
			//
		}
	
		#region IAritmetica Members

		public float Adicao(float op1, float op2)
		{
			return op1+op2;
		}

		public float Subtracao(float op1, float op2)
		{
			return op1-op2;
		}

		public float Multiplicacao(float op1, float op2)
		{
			return op1*op2;
		}

		public float Divisao(float op1, float op2)
		{
			if (op2 != 0)
				return op1/op2;
			else
				throw new ApplicationException("tentou efectuar uma diviso por zero");
		}

		#endregion

		#region IAritmetica2 Members

		public double Potencia(float b, int expoente)
		{
			return Math.Pow(b, expoente);
		}

		public double RaizQuadrada(float n)
		{
			return Math.Sqrt(n);
		}

		#endregion
		

	}
}
