using System;

namespace Aritmetica
{
	public struct Complexo
	{
		private float r;
		private float i;

		public Complexo(float r, float i)
		{
			this.r = r;
			this.i = i;
		}

		public Complexo(Complexo o)
		{
			this.r = o.Real;
			this.i = o.Imaginaria;
		}

		public float Real
		{
			get { return r; }
			set { r = value; }
		}

		public float Imaginaria
		{
			get { return i; }
			set { i = value; }
		}

		public override string ToString()
		{
			return r.ToString() + i.ToString() + "i";
		}

		public static Complexo operator+(Complexo c1, Complexo c2)
		{
			Complexo r = new Complexo();
			r.Real = c1.Real + c2.Real;
			r.Imaginaria = c1.Imaginaria + c2.Imaginaria;
			return r;
		}
	}

	/// <summary>
	/// Summary description for IAritmeticaComplexos.
	/// </summary>
	public interface IAritmeticaComplexos
	{

	}
}
